petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESGetSolution

Returns the vector where the approximate solution is stored. This is the fine grid solution when using SNESSetGridSequence().

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetSolution(SNES snes,Vec *x)

Not Collective, but Vec is parallel if SNES is parallel Many br

### Input Parameter

snes -the SNES context Many br

### Output Parameter

x -the solution Many br

Many br

### Keywords

SNES, nonlinear, get, solution

### See Also

SNESGetSolutionUpdate(), SNESGetFunction()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex7.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex48.c.html